# You can find more information about this file on the symfony website:
# http://www.symfony-project.org/reference/1_4/en/04-Settings

prod:
  .settings:
    no_script_name:         false
    logging_enabled:        false

dev:
  .settings:
    error_reporting:        <?php echo (E_ALL | E_STRICT)."\n" ?>
    web_debug:              true
    cache:                  false
    no_script_name:         false
    etag:                   false

test:
  .settings:
    error_reporting:        <?php echo ((E_ALL | E_STRICT) ^ E_NOTICE)."\n" ?>
    cache:                  false
    web_debug:              false
    no_script_name:         false
    etag:                   false

all:
  .settings:
    # Form security secret (CSRF protection)
    csrf_secret:            fa9df520a435a365938fde00c5e6eca3818b5a67

    # Output escaping settings
    escaping_strategy:      false
    escaping_method:        ESC_SPECIALCHARS

    # Enable the database manager
    use_database:           false

    i18n: true
    default_culture: en
    standard_helpers: [Partial, Cache, I18N]